ch.qos.logback.classic.boolex

## Class GEventEvaluator

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.boolex.EventEvaluatorBase<ILoggingEvent>
    - - ch.qos.logback.classic.boolex.GEventEvaluator

All Implemented Interfaces:
  EventEvaluator<ILoggingEvent>, ContextAware, LifeCycle

    public class GEventEvaluator
    extends EventEvaluatorBase<ILoggingEvent>

Author:
  Ceki Gülcü

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`GEventEvaluator()`

### Method Summary

Methods
`boolean` `evaluate(ILoggingEvent event)` Evaluates whether the event passed as parameter matches some user-specified criteria.
`java.lang.String` `getExpression()`
`void` `setExpression(java.lang.String expression)`
`void` `start()`

### Methods inherited from class ch.qos.logback.core.boolex.EventEvaluatorBase

`getName, isStarted, setName, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Constructor Detail

#### GEventEvaluator

    public GEventEvaluator()

### Method Detail

#### getExpression

    public java.lang.String getExpression()

#### setExpression

    public void setExpression(java.lang.String expression)

#### start

    public void start()

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `EventEvaluatorBase<ILoggingEvent>`

#### evaluate

    public boolean evaluate(ILoggingEvent event)
                     throws java.lang.NullPointerException,
                            EvaluationException

Description copied from interface: `EventEvaluator`
Evaluates whether the event passed as parameter matches some user-specified criteria.

The `Evaluator` is free to evaluate the event as it pleases. In particular, the evaluation results may depend on previous events.

Parameters:
  `event` - The event to evaluate
Returns:
  true if there is a match, false otherwise.
Throws:
  `java.lang.NullPointerException` - can be thrown in presence of null values
  `EvaluationException` - may be thrown during faulty evaluation